<?php
	
	//	é
	
	require_once( __DIR__ . "/classes/Listezebraform.class.php" );
	require_once( __DIR__ . "/classes/Formulairezebraform.class.php" );
	require_once( __DIR__ . "/classes/Formulaireszebraform.class.php" );
	
	class Zebraform extends PluginsClassiques {
	
		static $formulaires = null;
		
		public function __construct() {
		
			parent::__construct( 'zebraform' );
			
			if ( is_null( $this->formulaires ) ) {
				
				$this->formulaires = new FormulairesZebraForm();
				
				require_once( __DIR_ . "/../lib/Zebra_Form.php" );
			}
		}
		
		public function init() {
			
			return ;
		}
		
		public function action() {
		
			return ;
		}
		
		public function boucle( $texte, $args ) {
			
			$retourner = "";
			
			$nomFormulaire = lireTag( $args, 'nom' );	//	Formulaire à appeler
			$fond = lireTag( $args, 'fond' );	//	Fond à appeler
			$action = lireTag( $args, 'action' );	//	Fond à appeler
			
			$expression1 = "#^([^az].)$#";
			$expression2 = "#^([^az_\-].)$#";
			
			if ( preg_match( $expression1, $nomFormulaire ) ) { $nomFormulaire = ''; }
			if ( preg_match( $expression2, $fond ) ) { $fond = ''; }
			if ( preg_match( $expression2, $action ) ) { $action = ''; }
			
			if ( empty( $nomFormulaire ) ) {
			
				return '';
			}
			
			if ( !$formulaire = $this->formulaires->definir( $nomFormulaire, $fond, $action ) ) {
			
				return '';
			}
			
			$temp = str_replace("#FORMULAIRE", $formulaire->afficher(), $texte);
			$temp = str_replace("#MESSAGEVALIDE", $formulaire->message, $temp);
			
			$retourner .= $temp;
			
			return $retourner;
		}
	}
	
