<?php

	//	é

	class FormulaireZebraForm {

		protected $libelle;
		public $titre;
		protected $formulaire;
		
		protected $appelChamps = false;
		protected $appelValider = false;
		
		protected $formulaireEstValide;
		
		public $fond = "";
		public $action = "";
		
		protected $fondDefinie = false;
		protected $actionDefinie = false;
		
		public $message = "";
		public $messageErreur = "";
		
		public $note = "";
		
		public function __construct( $libelle , $fond = "" , $action = "", $titre = "" ) {
		
			$this->listeChamps = new ListeZebraForm();
		
			$this->libelle = $libelle;
			$this->titre = $titre;
			if ( empty( $this->titre ) ) {
			
				$this->titre = $this->libelle;
			}
			
			$this->fond = $fond;
			$this->action = $action;
			
			$this->formulaire = new Zebra_Form( $this->libelle , 'POST' , '' );
			
			if ( !empty( $this->fond ) ) {
			
				$this->fondDefinie = true;
				$champ = $this->formulaire->add( 'hidden' , 'fond' , $this->fond );
				$champ->lock();
			}
			if ( !empty( $this->action ) ) {
			
				$this->actionDefinie = true;
				$champ = $this->formulaire->add( 'hidden' , 'action' , $this->action );
				$champ->lock();
			}
		}
		
		public function champs() {
		
			if ( !$this->appelChamps ) {
			
				if ( !$this->fondDefinie ) {
					
					if ( !empty( $this->fond ) ) {
					
						$this->fondDefinie = true;
						$champ = $this->formulaire->add( 'hidden' , 'fond' , $this->fond );
						$champ->lock();
					}
				}
				if ( !$this->actionDefinie ) {
					
					if ( !empty( $this->action ) ) {
					
						$this->actionDefinie = true;
						$champ = $this->formulaire->add( 'hidden' , 'action' , $this->action );
						$champ->lock();
					}
				}
			
				$this->appelChamps = true;
				return true;
			}
			return false;
		}
		
		public function valider() {
		
			$this->champs();
			if ( !$this->appelValider ) {
			
				$this->appelValider = true;
				return true;
			}
			return false;
		}
		
		public function afficher() {
		
			global $config;
			
			$retourner = "";
			$this->valider();
			
			ob_start( tamponZebraForm );
			
			$urlTemplateFormulaire = __DIR__ . "/../formulaires/Templatezebraform" . $this->libelle . ".php";
			if ( file_exists( $urlTemplateFormulaire ) ) {
			
				$this->formulaire->render( $urlTemplateFormulaire );
			}
			else {
			
				$this->formulaire->render();
			}
			
			$retourner = ob_get_contents();
			ob_end_flush();
			
			return $retourner;
		}
	}
	
	function tamponZebraForm( $tampon ) {
	
		return "";
	}
	
