<?php
	
	//	é
	
	class FormulaireZebraFormLogin extends FormulaireZebraForm {
	
		public function __construct( $libelle, $fond = "", $action = "", $titre = "" ) {
			
			parent::__construct( $libelle, $fond, $action, $titre );
		}
		
		public function champs() {
		
			//	On force l'action mais on laisse le choix du fond à l'intégrateur
			//	$this->fond = "";
			$this->action = "logmein";
		
			if ( parent::champs() ) {
				
				//	"login"
				$this->formulaire->add( 'label' , 'pseudo_label' , 'pseudo' , 'login' );
				$champ = $this->formulaire->add( 'text' , 'pseudo' , '' , array( 'autocomplete' => 'on', 'tabindex' => "1" ) );
				$champ->set_rule( array(
					'required'  =>  array('error', 'Votre login est requis!') ,
				));
				
				// "password"
				$this->formulaire->add( 'label' , 'password_label', 'password', 'Mot de passe' );
				$champ = $this->formulaire->add( 'password' , 'password' , '' , array( 'tabindex' => "2" ) );
				$champ->set_rule( array(
					'required'  => array('error', 'La saisie du mot de passe est requise!'),
					'length'    => array(6, 20, 'error', 'Le mot de passe doit avoir entre 6 et 20 caractères'),
				));
				
				// "remember me"
				$champ = $this->formulaire->add( 'checkbox' , 'se_souvenir', 'yes' );
				$this->formulaire->add( 'label' , 'connexion_se_souvenir_yes' , 'se_souvenir_yes' , 'Se souvenir de moi' );
				
				// "submit"
				$this->formulaire->add('submit', 'btnsubmit', 'Connexion');
			}
		}
		
		public function valider() {
		
			if ( parent::valider() ) {
			
				if ( $this->formulaire->validate() ) {
					
					//	Données post déjà protégées contre une faille XSS (voir la classe XSSClean de ZebraForm pour plus de détails)
					$login = $_POST['pseudo'];
					$mdp = $_POST['password'];
					
					$seSouvenir = isset( $_POST['se_souvenir'] ) ? true : false ;
					
					if ( $login === "zebra" && $mdp === "zebraform17" ) {
						
						$this->message = "Vos identifiants sont valides";
					}
					else {
					
						$this->formulaire->add_error('error', 'Vos login/mot de passe ne sont liés à aucun compte valide.');
					}
				}
			}
		}
	}

